
// Utility function

export function randomi (min, max) {
  return Math.floor(Math.random() * (max - min) + min)
}

export function deg2rad (deg) {
  return deg * Math.PI / 180
}

export function rad2vec (r) {
  return { x: Math.cos(r), y: Math.sin(r) }
}

export function intersectRect (r1, r2) {
  return !(r2.x > r1.w + r1.x ||
           r2.w + r2.x < r1.x ||
           r2.y > r1.h + r1.y ||
           r2.h + r2.y < r1.y)
}
